package com.bonus.canteen.core.nutrition.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;


@ApiModel("人员健康情况")
public class HealthInfoFullVo {
   @ApiModelProperty("主键")
   private Long id;
   @ApiModelProperty("人员id")
   private Long userId;
   @ApiModelProperty("人员名称")
   private String nickName;
   @ApiModelProperty("手机号")
   private String mobile;
   @ApiModelProperty("性别 1-男 2-女")
   private Integer sex;
   @ApiModelProperty("年龄")
   private Integer age;
   @ApiModelProperty("所属组织id")
   private Long orgId;
   @ApiModelProperty("所属组织名称")
   private String orgFullName;
   @ApiModelProperty("人员类别")
   private Integer userType;
   @ApiModelProperty("所属位置Id")
   private Long placeId;
   @ApiModelProperty("所属位置")
   private String placeFullName;
   @ApiModelProperty("生日")
   private LocalDate birthday;
   @ApiModelProperty("血型")
   private Integer bloodType;
   @ApiModelProperty("婚姻状态 0-保密 1-未婚 2-已婚")
   private Integer maritalStatus;
   @ApiModelProperty("怀孕状态 0-保密, 1-未怀孕, 2-孕妇(早期),3-孕妇(中期),4-孕妇(晚期) 5-乳母")
   private Integer pregnantStatus;
   @ApiModelProperty("怀孕日期")
   private LocalDate pregnancyDate;
   @ApiModelProperty("慢性病id多个用逗号分割")
   private String chronicIds;
   @ApiModelProperty("慢性病名称多个用逗号分割")
   private String chronicNames;
   @ApiModelProperty("饮食医嘱: 1-禁食,2-流食,3-半流食,4-治疗饮食")
   private Integer doctorAdvice;
   @ApiModelProperty("是否住院 1-是 2-否")
   private Integer ifHospitalized;
   @ApiModelProperty("就诊号")
   private String doctorNum;
   @ApiModelProperty("住院号")
   private String hospitalNum;
   @ApiModelProperty("住院日期")
   private LocalDate inpatientDate;
   @ApiModelProperty("住院诊断结果")
   private String inpatientResult;
   @ApiModelProperty("体重控制: 1-减肥,2-增重")
   private Integer weightControl;
   @ApiModelProperty("过敏源")
   private String allergen;
   @ApiModelProperty("劳动强度: 1-轻劳动,2-中等强度劳动,3-重强度劳动")
   private Integer labourIntensity;
   @ApiModelProperty("健康状态（1-健康、2-残疾、3-瘫痪）")
   private Integer healthState;
   @ApiModelProperty("是否删除 0-正常 2-删除")
   private Integer delFlag;
   @ApiModelProperty("身高")
   private BigDecimal height;
   @ApiModelProperty("体重")
   private BigDecimal weight;
   @ApiModelProperty("BMI指数")
   private BigDecimal bmi;
   @ApiModelProperty("体型")
   private String shape;
   @ApiModelProperty("胸围")
   private BigDecimal bust;
   @ApiModelProperty("腰围")
   private BigDecimal waistline;
   @ApiModelProperty("血糖")
   private BigDecimal bloodSugar;
   @ApiModelProperty("血脂")
   private Integer bloodFat;
   @ApiModelProperty("血压高")
   private BigDecimal bloodPressureHigh;
   @ApiModelProperty("血压低")
   private BigDecimal bloodPressureLow;
   @ApiModelProperty("心率")
   private BigDecimal heartRate;
   @ApiModelProperty("血氧")
   private BigDecimal bloodOxygen;
   @ApiModelProperty("尿酸")
   private Integer uricAcid;
   @ApiModelProperty("血压")
   private Integer bloodPressure;
   @ApiModelProperty("创建人")
   private String createBy;
   @ApiModelProperty("创建时间")
   private Date createTime;
   @ApiModelProperty("更新人")
   private String updateBy;
   @ApiModelProperty("更新时间")
   private Date updateTime;

   public Long getId() {
      return this.id;
   }

   public Long getUserId() {
      return this.userId;
   }

   public String getMobile() {
      return this.mobile;
   }

   public Integer getSex() {
      return this.sex;
   }

   public Integer getAge() {
      return this.age;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Integer getUserType() {
      return this.userType;
   }

   public Long getPlaceId() {
      return this.placeId;
   }

   public String getPlaceFullName() {
      return this.placeFullName;
   }

   public LocalDate getBirthday() {
      return this.birthday;
   }

   public Integer getBloodType() {
      return this.bloodType;
   }

   public Integer getMaritalStatus() {
      return this.maritalStatus;
   }

   public Integer getPregnantStatus() {
      return this.pregnantStatus;
   }

   public LocalDate getPregnancyDate() {
      return this.pregnancyDate;
   }

   public String getChronicIds() {
      return this.chronicIds;
   }

   public String getChronicNames() {
      return this.chronicNames;
   }

   public Integer getDoctorAdvice() {
      return this.doctorAdvice;
   }

   public Integer getIfHospitalized() {
      return this.ifHospitalized;
   }

   public String getDoctorNum() {
      return this.doctorNum;
   }

   public String getHospitalNum() {
      return this.hospitalNum;
   }

   public LocalDate getInpatientDate() {
      return this.inpatientDate;
   }

   public String getInpatientResult() {
      return this.inpatientResult;
   }

   public Integer getWeightControl() {
      return this.weightControl;
   }

   public String getAllergen() {
      return this.allergen;
   }

   public Integer getLabourIntensity() {
      return this.labourIntensity;
   }

   public Integer getHealthState() {
      return this.healthState;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public BigDecimal getHeight() {
      return this.height;
   }

   public BigDecimal getWeight() {
      return this.weight;
   }

   public BigDecimal getBmi() {
      return this.bmi;
   }

   public String getShape() {
      return this.shape;
   }

   public BigDecimal getBust() {
      return this.bust;
   }

   public BigDecimal getWaistline() {
      return this.waistline;
   }

   public BigDecimal getBloodSugar() {
      return this.bloodSugar;
   }

   public Integer getBloodFat() {
      return this.bloodFat;
   }

   public BigDecimal getBloodPressureHigh() {
      return this.bloodPressureHigh;
   }

   public BigDecimal getBloodPressureLow() {
      return this.bloodPressureLow;
   }

   public BigDecimal getHeartRate() {
      return this.heartRate;
   }

   public BigDecimal getBloodOxygen() {
      return this.bloodOxygen;
   }

   public Integer getUricAcid() {
      return this.uricAcid;
   }

   public Integer getBloodPressure() {
      return this.bloodPressure;
   }

   public String getCreateBy() {
      return this.createBy;
   }

   public Date getCreateTime() {
      return this.createTime;
   }

   public String getUpdateBy() {
      return this.updateBy;
   }

   public Date getUpdateTime() {
      return this.updateTime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public String getNickName() {
      return nickName;
   }

   public void setNickName(String nickName) {
      this.nickName = nickName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setSex(final Integer sex) {
      this.sex = sex;
   }

   public void setAge(final Integer age) {
      this.age = age;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setUserType(final Integer userType) {
      this.userType = userType;
   }

   public void setPlaceId(final Long placeId) {
      this.placeId = placeId;
   }

   public void setPlaceFullName(final String placeFullName) {
      this.placeFullName = placeFullName;
   }

   public void setBirthday(final LocalDate birthday) {
      this.birthday = birthday;
   }

   public void setBloodType(final Integer bloodType) {
      this.bloodType = bloodType;
   }

   public void setMaritalStatus(final Integer maritalStatus) {
      this.maritalStatus = maritalStatus;
   }

   public void setPregnantStatus(final Integer pregnantStatus) {
      this.pregnantStatus = pregnantStatus;
   }

   public void setPregnancyDate(final LocalDate pregnancyDate) {
      this.pregnancyDate = pregnancyDate;
   }

   public void setChronicIds(final String chronicIds) {
      this.chronicIds = chronicIds;
   }

   public void setChronicNames(final String chronicNames) {
      this.chronicNames = chronicNames;
   }

   public void setDoctorAdvice(final Integer doctorAdvice) {
      this.doctorAdvice = doctorAdvice;
   }

   public void setIfHospitalized(final Integer ifHospitalized) {
      this.ifHospitalized = ifHospitalized;
   }

   public void setDoctorNum(final String doctorNum) {
      this.doctorNum = doctorNum;
   }

   public void setHospitalNum(final String hospitalNum) {
      this.hospitalNum = hospitalNum;
   }

   public void setInpatientDate(final LocalDate inpatientDate) {
      this.inpatientDate = inpatientDate;
   }

   public void setInpatientResult(final String inpatientResult) {
      this.inpatientResult = inpatientResult;
   }

   public void setWeightControl(final Integer weightControl) {
      this.weightControl = weightControl;
   }

   public void setAllergen(final String allergen) {
      this.allergen = allergen;
   }

   public void setLabourIntensity(final Integer labourIntensity) {
      this.labourIntensity = labourIntensity;
   }

   public void setHealthState(final Integer healthState) {
      this.healthState = healthState;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setHeight(final BigDecimal height) {
      this.height = height;
   }

   public void setWeight(final BigDecimal weight) {
      this.weight = weight;
   }

   public void setBmi(final BigDecimal bmi) {
      this.bmi = bmi;
   }

   public void setShape(final String shape) {
      this.shape = shape;
   }

   public void setBust(final BigDecimal bust) {
      this.bust = bust;
   }

   public void setWaistline(final BigDecimal waistline) {
      this.waistline = waistline;
   }

   public void setBloodSugar(final BigDecimal bloodSugar) {
      this.bloodSugar = bloodSugar;
   }

   public void setBloodFat(final Integer bloodFat) {
      this.bloodFat = bloodFat;
   }

   public void setBloodPressureHigh(final BigDecimal bloodPressureHigh) {
      this.bloodPressureHigh = bloodPressureHigh;
   }

   public void setBloodPressureLow(final BigDecimal bloodPressureLow) {
      this.bloodPressureLow = bloodPressureLow;
   }

   public void setHeartRate(final BigDecimal heartRate) {
      this.heartRate = heartRate;
   }

   public void setBloodOxygen(final BigDecimal bloodOxygen) {
      this.bloodOxygen = bloodOxygen;
   }

   public void setUricAcid(final Integer uricAcid) {
      this.uricAcid = uricAcid;
   }

   public void setBloodPressure(final Integer bloodPressure) {
      this.bloodPressure = bloodPressure;
   }

   public void setCreateBy(final String createBy) {
      this.createBy = createBy;
   }

   public void setCreateTime(final Date createTime) {
      this.createTime = createTime;
   }

   public void setUpdateBy(final String updateBy) {
      this.updateBy = updateBy;
   }

   public void setUpdateTime(final Date updateTime) {
      this.updateTime = updateTime;
   }

   public HealthInfoFullVo() {
   }
}
